package com.care.bigscreen.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 站点统计表实体类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("st_station")
@ApiModel(value = "StStation对象")
public class StStation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "站点ID")
    @TableField("station_id")
    private Long stationId;

    @ApiModelProperty(value = "站点名称")
    @TableField("station_name")
    private String stationName;

    @ApiModelProperty(value = "机构ID")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "用户数")
    @TableField("older_amount")
    private Long olderAmount;

    @ApiModelProperty(value = "60至80岁用户数")
    @TableField("older_60_80_amount")
    private Long older6080Amount;

    @ApiModelProperty(value = "80岁以上用户数")
    @TableField("older_80_above_amount")
    private Long older80AboveAmount;

    @ApiModelProperty(value = "独居人数")
    @TableField("alone_living_amount")
    private Long aloneLivingAmount;

    @ApiModelProperty(value = "非独居人数")
    @TableField("no_alone_living_amount")
    private Long noAloneLivingAmount;

    @ApiModelProperty(value = "集中居住人数")
    @TableField("concentrate_living_amount")
    private Long concentrateLivingAmount;

    @ApiModelProperty(value = "其他居住人数")
    @TableField("other_living_amount")
    private Long otherLivingAmount;

    @ApiModelProperty(value = "一级守护人数")
    @TableField("one_level_amount")
    private Long oneLevelAmount;

    @ApiModelProperty(value = "二级守护人数")
    @TableField("two_level_amount")
    private Long twoLevelAmount;

    @ApiModelProperty(value = "三级守护人数")
    @TableField("three_level_amount")
    private Long threeLevelAmount;

    @ApiModelProperty(value = "安全管家总人数")
    @TableField("chamberlain_amount")
    private Long chamberlainAmount;

    @ApiModelProperty(value = "服务中管家人数")
    @TableField("chamberlain_in_service_amount")
    private Long chamberlainInServiceAmount;

    @ApiModelProperty(value = "累计服务总人次")
    @TableField("serve_amount")
    private Long serveAmount;

    @ApiModelProperty(value = "今天服务人次")
    @TableField("serve_today_amount")
    private Long serveTodayAmount;

    @ApiModelProperty(value = "设备总数")
    @TableField("device_amount")
    private Long deviceAmount;

    @ApiModelProperty(value = "室内在线总数")
    @TableField("indoor_online_amount")
    private Long indoorOnlineAmount;

    @ApiModelProperty(value = "室内离线总数")
    @TableField("indoor_offline_amount")
    private Long indoorOfflineAmount;

    @ApiModelProperty(value = "户外在线总数")
    @TableField("outdoor_online_amount")
    private Long outdoorOnlineAmount;

    @ApiModelProperty(value = "户外离线总数")
    @TableField("outdoor_offline_amount")
    private Long outdoorOfflineAmount;

    @ApiModelProperty(value = "实时安全事件数")
    @TableField("rt_event_amount")
    private Long rtEventAmount;

    @ApiModelProperty(value = "实时_跌倒事件数")
    @TableField("rt_fall_amount")
    private Long rtFallAmount;

    @ApiModelProperty(value = "实时_久滞事件数")
    @TableField("rt_stagnation_amount")
    private Long rtStagnationAmount;

    @ApiModelProperty(value = "实时_坠床事件数")
    @TableField("rt_falling_bed_amount")
    private Long rtFallingBedAmount;

    @ApiModelProperty(value = "实时_主动呼叫事件数")
    @TableField("rt_active_call_amount")
    private Long rtActiveCallAmount;

    @ApiModelProperty(value = "实时_户外呼叫事件数")
    @TableField("rt_outdoors_call_amount")
    private Long rtOutdoorsCallAmount;

    @ApiModelProperty(value = "历史安全事件数")
    @TableField("his_event_amount")
    private Long hisEventAmount;

    @ApiModelProperty(value = "历史_跌倒事件数")
    @TableField("his_fall_amount")
    private Long hisFallAmount;

    @ApiModelProperty(value = "历史_久滞事件数")
    @TableField("his_stagnation_amount")
    private Long hisStagnationAmount;

    @ApiModelProperty(value = "历史_坠床事件数")
    @TableField("his_falling_bed_amount")
    private Long hisFallingBedAmount;

    @ApiModelProperty(value = "历史_主动呼叫事件数")
    @TableField("his_active_call_amount")
    private Long hisActiveCallAmount;

    @ApiModelProperty(value = "历史_户外呼叫事件数")
    @TableField("his_outdoors_call_amount")
    private Long hisOutdoorsCallAmount;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
