package com.care.bigscreen.vo;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 站点大屏被监护人详情响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "站点大屏被监护人详情响应类", description = "站点大屏被监护人详情响应类")
public class BigScreenOlderDetailVO {

    @ApiModelProperty("被监护人ID")
    private Long olderId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别：M：男 W：女")
    private String gender;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("居住类别：1：独居 2：非独居 3：集中居住 4：其他")
    private String liveType;

    @ApiModelProperty("床号或者门牌号")
    private String bedNumber;

    @ApiModelProperty("安全级别： 1 ：一级 2：二级 3: 三级")
    private String safeLevel;

    @ApiModelProperty("钥匙托管类型： 1 ：电子 2：机械 0：未托管")
    private String keyEscrowType;

    @ApiModelProperty("呼吸频率")
    private Integer breathRate;

    @ApiModelProperty("心跳频率")
    private Integer heartRate;

    @ApiModelProperty("地址")
    private String addr;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("是否有户外设备，Y：有，N：没有")
    private String hasOurDoorDevice;

    @ApiModelProperty("被监护人状态")
    private String olderStatus;

    @ApiModelProperty("被监护人的事件状态")
    private String olderEventStatus;

    @ApiModelProperty("紧急联系人列表")
    private List<BigSreenOlderContactVO>  olderContactList;

}
