package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 大屏站点响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "大屏站点响应类", description = "大屏站点响应类")
public class BigScreenStationVO {

    @ApiModelProperty(value = "站点ID")
    private Long stationId;

    @ApiModelProperty(value = "服务站名称")
    private String stationName;

    @ApiModelProperty(value = "机构ID")
    private Long orgId;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "负责人")
    private String director;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "地址")
    private String addr;

    @ApiModelProperty(value = "用户数")
    private Long olderAmount;

    @ApiModelProperty(value = "安全事件数")
    private Long eventAmount;

    @ApiModelProperty(value = "管家人数")
    private Long chamberlainAmount;

    @ApiModelProperty(value = "设备数量")
    private Long deviceAmount;
}
