package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 运营商大屏统计响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "运营商大屏统计响应类", description = "运营商大屏统计响应类")
public class OpBigScreenStatisticsVO {

    @ApiModelProperty(value = "用户数")
    private Long olderAmount;

    @ApiModelProperty(value = "60至80岁用户数")
    private Long older6080Amount;

    @ApiModelProperty(value = "60至80岁用户数占比")
    private BigDecimal older6080Rate;

    @ApiModelProperty(value = "80岁以上用户数")
    private Long older80AboveAmount;

    @ApiModelProperty(value = "80岁以上用户数占比")
    private BigDecimal older80AboveRate;

    @ApiModelProperty(value = "独居人数")
    private Long aloneLivingAmount;

    @ApiModelProperty(value = "独居人数占比")
    private BigDecimal aloneLivingRate;

    @ApiModelProperty(value = "非独居人数")
    private Long noAloneLivingAmount;

    @ApiModelProperty(value = "非独居人数占比")
    private BigDecimal noAloneLivingRate;

    @ApiModelProperty(value = "集中居住人数")
    private Long concentrateLivingAmount;

    @ApiModelProperty(value = "集中居住人数占比")
    private BigDecimal concentrateLivingRate;

    @ApiModelProperty(value = "其他居住人数")
    private Long otherLivingAmount;

    @ApiModelProperty(value = "其他居住人数占比")
    private BigDecimal otherLivingRate;

    @ApiModelProperty(value = "一级守护人数")
    private Long oneLevelAmount;

    @ApiModelProperty(value = "二级守护人数")
    private Long twoLevelAmount;

    @ApiModelProperty(value = "三级守护人数")
    private Long threeLevelAmount;

    @ApiModelProperty(value = "安全管家总人数")
    private Long chamberlainAmount;

    @ApiModelProperty(value = "平均每人服务用户数")
    private BigDecimal serveAmountAvg;

    @ApiModelProperty(value = "累计服务总人次")
    private Long serveAmount;

    @ApiModelProperty(value = "设备总数")
    private Long deviceAmount;

    @ApiModelProperty(value = "室内在线总数")
    private Long indoorOnlineAmount;

    @ApiModelProperty(value = "室内在线占比")
    private BigDecimal indoorOnlineRate;

    @ApiModelProperty(value = "室内离线总数")
    private Long indoorOfflineAmount;

    @ApiModelProperty(value = "户外在线总数")
    private Long outdoorOnlineAmount;

    @ApiModelProperty(value = "户外在线占比")
    private BigDecimal outdoorOnlineRate;

    @ApiModelProperty(value = "户外离线总数")
    private Long outdoorOfflineAmount;

    @ApiModelProperty(value = "实时安全事件数")
    private Long rtEventAmount;

    @ApiModelProperty(value = "实时_跌倒事件数")
    private Long rtFallAmount;

    @ApiModelProperty(value = "实时_久滞事件数")
    private Long rtStagnationAmount;

    @ApiModelProperty(value = "实时_坠床事件数")
    private Long rtFallingBedAmount;

    @ApiModelProperty(value = "实时_主动呼叫事件数")
    private Long rtActiveCallAmount;

    @ApiModelProperty(value = "实时_户外呼叫事件数")
    private Long rtOutdoorsCallAmount;

    @ApiModelProperty(value = "历史安全事件数")
    private Long hisEventAmount;

    @ApiModelProperty(value = "历史_跌倒事件数")
    private Long hisFallAmount;

    @ApiModelProperty(value = "历史_久滞事件数")
    private Long hisStagnationAmount;

    @ApiModelProperty(value = "历史_坠床事件数")
    private Long hisFallingBedAmount;

    @ApiModelProperty(value = "历史_主动呼叫事件数")
    private Long hisActiveCallAmount;

    @ApiModelProperty(value = "历史_户外呼叫事件数")
    private Long hisOutdoorsCallAmount;

    @ApiModelProperty(value = "坐席总人数")
    private Long seatsAmount;

    @ApiModelProperty(value = "坐席总在线时长(小时)")
    private BigDecimal seatsOnlineDuration;


}
