package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 机构大屏统计响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "机构大屏统计响应类", description = "机构大屏统计响应类")
public class OrgBigScreenStatisticsVO {


    @ApiModelProperty(value = "安全管家总人数")
    private Long chamberlainAmount;

    @ApiModelProperty(value = "服务中人数")
    private Long chamberlainInServiceAmount;

    @ApiModelProperty(value = "累计服务总人次")
    private Long serveAmount;

    @ApiModelProperty(value = "服务站总数")
    private Long stationAmount;

    @ApiModelProperty(value = "设备总数")
    private Long deviceAmount;

    @ApiModelProperty(value = "设备在线总数")
    private Long deviceOnlineAmount;

    @ApiModelProperty(value = "设备离线总数")
    private Long deviceOfflineAmount;

    @ApiModelProperty(value = "实时安全事件数")
    private Long rtEventAmount;

    @ApiModelProperty(value = "跌倒事件数")
    private Long fallAmount;

    @ApiModelProperty(value = "跌倒事件数占比")
    private BigDecimal fallRate;

    @ApiModelProperty(value = "久滞事件数")
    private Long stagnationAmount;

    @ApiModelProperty(value = "久滞事件数占比")
    private BigDecimal stagnationRate;

    @ApiModelProperty(value = "坠床事件数")
    private Long fallingBedAmount;

    @ApiModelProperty(value = "坠床事件数占比")
    private BigDecimal fallingBedRate;

    @ApiModelProperty(value = "主动呼叫事件数")
    private Long activeCallAmount;

    @ApiModelProperty(value = "主动呼叫事件数占比")
    private BigDecimal activeCallRate;

    @ApiModelProperty(value = "户外呼叫事件数")
    private Long outdoorsCallAmount;

    @ApiModelProperty(value = "户外呼叫事件数占比")
    private BigDecimal outdoorsCallRate;

}
