package com.care.bms.controller;



import com.care.bms.service.DimCodeService;
import com.care.common.util.Result;
import com.care.common.vo.DimCodeVO;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;


/**
 * @author
 * @version 1.0.0 创建于 2019-12-04
 **/
@RestController
@Slf4j
public class DimController {

    @Resource
    private DimCodeService dimCodeService;


    @ApiOperation(tags = {"编码管理"}, value = "根据编码类型查询编码项全部列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "header", required = true, name = "token", dataType = "String", value = "token验证信息"),
            @ApiImplicitParam(name = "typeCode", value = "编码类型，纬度类型表type",
                    dataType = "String", paramType = "query",
                    required = true)
    })
    @GetMapping(value = "/dict/queryDictItemsByType", produces = "application/json;charset=utf-8")
    public Result<List<DimCodeVO>> queryDictItemsByType(
            @RequestHeader(name = "token", required = true) String token,
            @RequestParam(name = "typeCode", required = true) String typeCode
            ) {
        try {

            List<DimCodeVO> list = this.dimCodeService.queryDimCodeByType(typeCode);
            return Result.success(list);
        } catch (Exception e) {
            e.printStackTrace();
            return Result.error( "获取列表失败");
        }
    }

}
