package com.care.bms.service;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.care.common.entity.CareStation;
import com.care.common.service.CareStationService;
import com.care.common.vo.UserLogindConvertVO;
import com.care.common.vo.device.StationVO;
import org.apache.commons.compress.utils.Lists;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/7/14
 * @Desc:
 */
@Service
public class StationService {
    @Resource
    private CareStationService careStationService;

    /**
     * 查询登陆人，所能看到的 服务站列表
     * @param loginUser
     * @return
     */
    public List<StationVO> queryStationsForSelect(UserLogindConvertVO loginUser){
        List<StationVO> datas = Lists.newArrayList();
        if (loginUser == null){
            return datas;
        }
        QueryWrapper<CareStation> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareStation::getOrgId,loginUser.getOrgId());
        queryWrapper.lambda().eq(loginUser.getStationId()!=null,CareStation::getId,loginUser.getStationId());
        List<CareStation> stations = this.careStationService.list(queryWrapper);
        if (CollUtil.isNotEmpty(stations)){
            stations.forEach(item -> {
                StationVO vo = new StationVO();
                BeanUtil.copyProperties(item,vo);
                datas.add(vo);
            });
        }
        return datas;
    }
}
