package com.care.client.controller;


import com.care.client.service.PinanbaoDevAddService;
import com.care.client.service.PassportService;
import com.care.client.vo.MemberInfoVO;
import com.care.common.util.Result;

import com.care.common.vo.device.DeviceVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 描述：
 *
 * @autho：wenskys
 * @create 2020/5/12 14:13
 **/
@Api(tags = "用户添加设备")
@RestController
@RequestMapping("/pinanbao/devAdd")
public class DevAddApiController {

    @Resource
    private PinanbaoDevAddService pinanbaoDevAddService;
    @Resource
    private PassportService passportService;


    /**
     * 添加设备-验证设备获取状态
     * @param devCode
     * @return
     */
    @PostMapping("checkDevCode")
    @ApiOperation(tags = {"首页"},value = "添加设备-验证设备获取状态 （是否存在（不存在终止后面流程），是否激活、是否被别人绑定、是否被自己绑定，页面处理逻辑：1:被别人绑定（不能进行下去），2：被自己绑定已经激活（进行维护安装），3：被自己绑定未激活（不弹出绑定界面，跳转安装小程序），4：没被绑定未激活（弹出绑定界面，跳转安装小程序），5：没绑定已激活（弹出绑定界面，进行维护安装）） --二期新增")
    public Result<Map<String,Boolean>> checkDevCode(HttpServletRequest request, @RequestHeader("token") String token, @RequestParam("devCode") String devCode){
        MemberInfoVO current = passportService.checkToken(token);
        Map<String,Boolean>  map = this.pinanbaoDevAddService.checkDevCode(current.getId(),devCode);
        return  Result.success(map);
    }
    /**
     * 绑定用户
     * @param devCode
     * @return
     */
    @PostMapping("bindUser")
    @ApiOperation(tags = {"首页"},value = "添加设备-绑定用户 --二期新增")
    public Result<Object> bindUser(HttpServletRequest request, @RequestHeader("token") String token,
                                   @RequestParam("phone") String phone,
                                   @RequestParam("devCode") String devCode) {
        if (this.pinanbaoDevAddService.bindUser(phone,devCode)) {
            return  Result.success("绑定成功");
        } else{
            return  Result.error("绑定失败");
        }
    }

//    /**
//     * 获取设备激活状态
//     * @param devCode
//     * @return
//     */
//    @PostMapping("getDevActiveStatus")
//    @ApiOperation(tags = {"首页"},value = "添加设备-获取设备激活状态 --二期新增")
//    public Result<DeviceVO> getDevActiveStatus(HttpServletRequest request, @RequestHeader("token") String token,
//                                               @RequestParam("devCode") String devCode) {
//        return  Result.success(this.pinanbaoDevAddService.getDevActiveStatus(devCode));
//    }
}
