package com.care.client.controller;

import com.care.client.service.PassportService;
import com.care.client.service.PinanbaoService;
import com.care.client.vo.EventDetailVO;
import com.care.client.vo.MemberInfoVO;
import com.care.common.util.Result;
import com.care.common.vo.order.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

/**
 * @Author: lilt
 * @Date: 2021/5/26
 * @Desc:
 */
@RestController
@Api(value = "EventHandleController")
@Slf4j
@RequestMapping("/pinanbao/event")
public class EventApiController {

    @Resource
    private PinanbaoService pinanbaoService;
    @Resource
    private PassportService passportService;

    @GetMapping("/hasDoing")
    @ApiOperation(tags = {"首页"},value = "当前进行中的事件  --二期修改")
    public Result<EventOrderVO> getDoingEvent(HttpServletRequest request,@RequestHeader("token") String token){
        MemberInfoVO current = passportService.checkToken(token);
        EventOrderVO orderInfo = this.pinanbaoService.getDoingEvent(current.getId());
        return  Result.success("查询成功！",orderInfo);
    }


    @GetMapping("/getEventInfo")
    @ApiOperation(tags = {"事件处理"},value = "某个事件的详细处理记录  -- 二期修改")
    public Result<EventDetailVO> getEventInfo(HttpServletRequest request, @RequestHeader("token") String token, @RequestParam("orderId") Long orderId){
        return  Result.success("查询成功！",this.pinanbaoService.getEventInfo(orderId));
    }

}
