package com.care.client.controller;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateUtil;
import com.care.client.service.PassportService;
import com.care.client.service.PinanbaoMemberInfoService;
import com.care.client.vo.MemberInfoVO;
import com.care.common.entity.CareMemberInfo;
import com.care.common.service.CareMemberInfoService;
import com.care.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 描述：
 *
 * @autho：wenskys
 * @create 2020/5/12 14:13
 **/
@Api(tags = "用户相关接口")
@RestController
@RequestMapping("/pinanbao/member")
public class MemberApiController {

    @Resource
    private CareMemberInfoService careMemberInfoService;
    @Resource
    private PinanbaoMemberInfoService pinanbaoMemberInfoService;


    @Resource
    private PassportService passportService;


    @ApiOperation(value = "获取基本信息", notes = "获取用户基本信息")
    @PostMapping("detail/info")
    public Result<Object> detailInfo(@RequestHeader String token) {
        MemberInfoVO current = passportService.checkToken(token);
        CareMemberInfo member = careMemberInfoService.detailByPhone(current.getPhone());
        BeanUtil.copyProperties(member,current);
        if (member.getBirthday()!=null){
            current.setAge(DateUtil.ageOfNow(member.getBirthday()));
        }
        return Result.success(current);
    }

    @PostMapping("/update/updateMyInfo")
    @ApiOperation(value = "修改个人信息（姓名、地址、头像、昵称、性别等） -- 二期新增", notes = "修改个人信息（姓名、地址、姓名、地址、头像、昵称、性别等）")
    public Result<Object> updateMyMemberInfo(@RequestHeader("token") String token,
                                         @RequestBody MemberInfoVO vo){
        try {
            MemberInfoVO current = passportService.checkToken(token);
            if(current == null) {
                return Result.error("修改失败！");
            }
            vo.setId(current.getId());
            if(this.pinanbaoMemberInfoService.updateMyMemberInfo(vo)){
                return  Result.success("修改成功！");
            } else {
                return Result.error("修改失败！");
            }

        } catch (Exception e) {
            return Result.error("修改失败！");
        }
    }


    /*@ApiOperation(value = "刷新基本信息", notes = "刷新用户基本信息")
    @PostMapping("refresh")
    public Result<Object> refreshMember(@RequestHeader String token) {
        MemberInfoVO lastMemberInfoVO = abstractPassportService.refreshMember(token);
        return Result.success(lastMemberInfoVO);
    }*/

   /* @ApiOperation(value = "校验是否要刷新小程序用户信息", notes = "校验是否要刷新小程序用户信息 true刷新")
    @PostMapping("notMatchMemberField")
    public Result<Object> notMatchMemberField(@RequestHeader String token) {
        return Result.success(passportService.notMatchMemberField(token));
    }
*/



}
