package com.care.client.service;



import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.care.common.entity.CareDevice;
import com.care.common.entity.CareMemberInfo;
import com.care.common.enums.DeviceActiveStatusEnum;
import com.care.common.service.CareDeviceService;
import com.care.common.service.CareMemberInfoService;
import com.care.common.vo.device.DeviceVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Slf4j
@Service
public class PinanbaoDevAddService {

    @Resource
    private CareMemberInfoService careMemberInfoService;

    @Resource
    private CareDeviceService careDeviceService;

    public Map<String,Boolean> checkDevCode(Long memberId , String devCode) {
        Map<String,Boolean> map = new HashMap<>();

        QueryWrapper<CareDevice> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareDevice::getDevCode,devCode);
        CareDevice careDevice = this.careDeviceService.getOne(queryWrapper);
        if (careDevice == null) { //不存在
            map.put("isExist",false);
            return map;
        } else if(careDevice.getMemberId() !=null && careDevice.getMemberId() != 0L && !careDevice.getMemberId().equals(memberId)) { //已经被别人绑定
            map.put("isExist",true);
            map.put("isOtherBind",true);
            return map;
        } else if(memberId.equals(careDevice.getMemberId()) && DeviceActiveStatusEnum.ACTIVE.getValue().equals(careDevice.getActiveStatus())) { //已经自己绑定，并且已经激活
            map.put("isExist",true);
            map.put("isOtherBind",false);
            map.put("isSelfBind",true);
            map.put("isActive",true);
            return map;
        }  else if(memberId.equals(careDevice.getMemberId()) && DeviceActiveStatusEnum.NOACTIVE.getValue().equals(careDevice.getActiveStatus())) { //已经自己绑定，并且未激活
            map.put("isExist",true);
            map.put("isOtherBind",false);
            map.put("isSelfBind",true);
            map.put("isActive",false);
            return map;
        }  else if((careDevice.getMemberId() == null  || careDevice.getMemberId() == 0L ) &&  DeviceActiveStatusEnum.NOACTIVE.getValue().equals(careDevice.getActiveStatus())) { //没绑定，并且未激活
            map.put("isExist",true);
            map.put("isOtherBind",false);
            map.put("isSelfBind",false);
            map.put("isActive",false);
            return map;
        }  else if((careDevice.getMemberId() == null  || careDevice.getMemberId() == 0L ) &&  DeviceActiveStatusEnum.ACTIVE.getValue().equals(careDevice.getActiveStatus())) { //没绑定，并且已经激活
            map.put("isExist",true);
            map.put("isOtherBind",false);
            map.put("isSelfBind",false);
            map.put("isActive",true);
            return map;
        }

        return map;
    }

    public Boolean bindUser(String phone ,String devCode) {
        QueryWrapper<CareMemberInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareMemberInfo::getPhone,phone);
        CareMemberInfo careMemberInfo = this.careMemberInfoService.getOne(queryWrapper);

        QueryWrapper<CareDevice> queryWrapper2 = new QueryWrapper<>();
        queryWrapper2.lambda().eq(CareDevice::getDevCode,devCode);
        CareDevice careDevice = this.careDeviceService.getOne(queryWrapper2);

        careDevice.setMemberId(careMemberInfo.getId());
        careDevice.setMemberPhone(phone);

        return this.careDeviceService.updateById(careDevice);
    }


    public DeviceVO getDevActiveStatus(String devCode) {
        QueryWrapper<CareDevice> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareDevice::getDevCode,devCode);
        CareDevice careDevice = this.careDeviceService.getOne(queryWrapper);
        DeviceVO vo = new DeviceVO();
        vo.setActiveStatus(careDevice.getActiveStatus());
        vo.setActiveStatusName(DeviceActiveStatusEnum.getCodeToName(vo.getActiveStatus()));
        return vo;
    }

}
