package com.care.client.service;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.care.client.vo.MemberInfoVO;
import com.care.client.vo.OlderVO;
import com.care.common.entity.CareMemberInfo;
import com.care.common.entity.CareOlder;
import com.care.common.enums.OlderLiveTypeEnum;
import com.care.common.service.CareMemberInfoService;
import com.care.common.service.CareOlderService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.utils.Lists;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/6/7
 * @Desc:
 */
@Slf4j
@Service
public class PinanbaoMemberInfoService {

    @Resource
    private CareMemberInfoService careMemberInfoService;


    /**
     * 修改个人信息
     * @param vo
     */
    @Transactional(rollbackFor = Exception.class)
    public Boolean updateMyMemberInfo(MemberInfoVO vo){
        CareMemberInfo careMemberInfo = this.careMemberInfoService.getById(vo.getId());
        BeanUtil.copyProperties(vo,careMemberInfo);
        careMemberInfo.setModifyTime(new Date());
        return this.careMemberInfoService.updateById(careMemberInfo);
    }


}
