package com.care.client.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: lilt
 * @Date: 2021/6/8
 * @Desc:
 */
@Data
@ApiModel(description = "设备监测数据")
public class DeviceMonitorVO {
    private Long id;
    @ApiModelProperty("呼吸频率")
    private Integer breathRate;
    @ApiModelProperty("呼吸频率单位")
    private String breathRateUnit="次/分";

    @ApiModelProperty("心跳频率")
    private Integer heartRate;
    @ApiModelProperty("心跳频率单位")
    private String heartRateUnit="次/分";

    @ApiModelProperty("活动距离")
    private Integer activityDistance;
    @ApiModelProperty("活动距离单位")
    private String activityDistanceUnit = "m";

    @ApiModelProperty("活动时长-N小时")
    private Integer activityTimeHour;
    @ApiModelProperty("活动时长-N分钟")
    private Integer activityTimeMinute;

    @ApiModelProperty("睡眠时长-N小时")
    private Integer sleepTimeHour;
    @ApiModelProperty("睡眠时长-N分钟")
    private Integer sleepTimeMinute;
}
