package com.care.client.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * @Author: lilt
 * @Date: 2021/6/7
 * @Desc:
 */
@Data
public class DeviceVO {

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;

    private String stationName;

    @ApiModelProperty("房屋ID")
    private Long houseId;
    @ApiModelProperty("房屋地址")
    private String houseAddr;

    @ApiModelProperty("关联管家ID")
    private Long chambId;

    @ApiModelProperty("关联管家号码")
    private String chambPhone;

    @ApiModelProperty("关联管家姓名")
    private String chambName;

    @ApiModelProperty("设备名称")
    private String devName;

    @ApiModelProperty("设备编码")
    private String devCode;


    @ApiModelProperty("设备场景：1客厅，2卫浴，3卧室，4其他")
    private String devScene;

    private String devSceneName;

    @ApiModelProperty("状态：1在线；2：离线")
    private String status;

    private String statusName;

    @ApiModelProperty("激活状态：0未激活，1已激活")
    private String activeStatus;

    private String activeStatusName;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("跌到响应时间（分）")
    private Integer fallResponseTime;

    @ApiModelProperty("久滞响应时间（分）")
    private Integer longlagResponseTime;

    @ApiModelProperty("坠床响应时间（分）")
    private Integer fallingbedResponseTime;

    @ApiModelProperty("激活时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date activeTime;

    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;


    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("关联用户ID")
    private Long memberId;

    @ApiModelProperty("关联用户号码")
    private String memberPhone;

    @ApiModelProperty("标签是否设置")
    private Boolean isHasScene;

    @ApiModelProperty("被监护人是否设置")
    private Boolean isHasOlder;

    @ApiModelProperty("紧急联系人是否设置")
    private Boolean isHasConnector;

    @ApiModelProperty("响应时间是否设置")
    private Boolean isHasResponseTime;
}
