package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * mqtt消息(CareMqttMsg)实体类
 *
 * @author makejava
 * @since 2021-06-02 22:00:37
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_mqtt_msg")
@ApiModel(value = "mqtt消息", description = "")
public class CareMqttMsg implements Serializable {
    private static final long serialVersionUID = -60036036914347085L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("mqtt消息")
    @TableField("MQTT_MESSAGE")
    private String mqttMessage;


    @ApiModelProperty("topic")
    @TableField("TOPIC")
    private String topic;

    @ApiModelProperty("消息类型：呼吸心率信息 BreathHeartRate，跌到 FallDown，久滞 StayTooLong")
    @TableField("TYPE")
    private String type;

    @ApiModelProperty("事件目标的id")
    @TableField("TID")
    private Integer tid;

    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;

    @ApiModelProperty("状态：0，未处理；1，已取消；2，已处理")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty("延迟时间（单位：分钟）")
    @TableField("DELAY_TIME")
    private Integer delayTime;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;

    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;
}