package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人-设备(CareDevice)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:36
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cc_call_result")
@ApiModel(value = "外呼结果表", description = "")
public class CcCallResult implements Serializable {
    private static final long serialVersionUID = 905583520337157262L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("被呼叫人ID")
    @TableField("called_id")
    private Long calledId;

    @ApiModelProperty(dataType = "String", name = "calledName", value = "被呼叫人姓名")
    @TableField("called_name")
    private String calledName;

    @ApiModelProperty("关系类别")
    @TableField("relation_type_desc")
    private String relationTypeDesc;

    @ApiModelProperty("联系级别")
    @TableField("contact_level")
    private  Integer contactLevel;

    @ApiModelProperty("被呼叫人类型：1、紧急联系人，2、管家，3、老人本人，4、120")
    @TableField("called_type")
    private String calledType;

    @ApiModelProperty("电话")
    @TableField("phone")
    private String phone;

    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("被监护人ID")
    @TableField("older_id")
    private Long olderId;


    @ApiModelProperty("事件工单ID")
    @TableField("order_id")
    private Long orderId;

    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;

    @ApiModelProperty("会话id,通话唯一标识")
    @TableField("session_id")
    private String sessionId;


    @ApiModelProperty("外呼结果状态,,2未接通 4无法赶往 5:已赶往 6:已到达 7申请钥匙 8已获取钥匙")
    @TableField("call_status")
    private Integer callStatus;

    @ApiModelProperty("外呼结果描述信息")
    @TableField("desc_msg")
    private String descMsg;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

}