package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum RelationTypeEnum {
    /**
     * 关系
     */
    HOUSE("house","房屋"),
    OLDER("older","老人"),
    KINSMAN("kinsman","亲属"),
    NEIGHBOR("neighbor","邻居"),
    CHANMB("chanmb","管家"),
    OTHER("other","其他");
    private String value;
    private String name;
    RelationTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }
    public String getName() {
        return name;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (HOUSE.getValue().equals(code)){
            return  HOUSE.name;
        }else if (OLDER.getValue().equals(code)){
            return  OLDER.name;
        }else if (KINSMAN.getValue().equals(code)){
            return  KINSMAN.name;
        }else if (NEIGHBOR.getValue().equals(code)){
            return  NEIGHBOR.name;
        }else if (CHANMB.getValue().equals(code)){
            return CHANMB.name;
        }else if (OTHER.getValue().equals(code)){
            return OTHER.name;
        }

        return null;
    }
}
