package com.care.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.care.common.entity.CareEventOrderChamb;
import com.care.common.vo.order.ChambEventOrderCountVO;
import com.care.common.vo.order.ChambEventOrderVO;
import org.apache.ibatis.annotations.Param;


/**
 * 管家工单(CareEventOrderChamb)表数据库访问层
 *
 * @author makejava
 * @since 2021-06-02 23:31:34
 */
public interface CareEventOrderChambMapper extends BaseMapper<CareEventOrderChamb> {

    /**
     * 待处理的工单
     * @param page
     * @param chambId
     * @return
     */
    IPage<ChambEventOrderVO>  queryTodoEventByChambId(IPage<ChambEventOrderVO> page, @Param("chambId") Long chambId);

    /**
     * 进行中的工单
     * @param page
     * @param chambId
     * @return
     */
    IPage<ChambEventOrderVO>  queryDoingEventByChambId(IPage<ChambEventOrderVO> page,@Param("chambId") Long chambId);

    /**
     * 完成的工单
     * @param page
     * @param chambId
     * @return
     */
    IPage<ChambEventOrderVO>  queryDoneEventByChambId(IPage<ChambEventOrderVO> page,@Param("chambId") Long chambId);

    /**
     * 管家的工单统计
     * @param chambId
     * @return
     */
    ChambEventOrderCountVO getOrderCountByChambId(@Param("chambId") Long chambId);
}