package com.care.common.service.impl;


import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CareHouseContact;
import com.care.common.entity.CareHouseContactRel;
import com.care.common.mapper.CareHouseContactMapper;
import com.care.common.service.CareHouseContactRelService;
import com.care.common.service.CareHouseContactService;
import org.apache.commons.compress.utils.Lists;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 被监护人紧急联系人(CareHouseContact)表服务实现类
 *
 * @author makejava
 * @since 2021-06-02 21:43:00
 */
@Service
public class CareHouseContactServiceImpl extends ServiceImpl<CareHouseContactMapper, CareHouseContact> implements CareHouseContactService {
    @Resource
    private CareHouseContactRelService careHouseContactRelService;
    /**
     * 查询老人-紧急联系人
     *
     * @param houseId
     * @return
     */
    @Override
    public List<CareHouseContact> queryContactByHouseId(Long houseId) {
        List<CareHouseContact> list = Lists.newArrayList();
        QueryWrapper<CareHouseContactRel> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareHouseContactRel::getHouseId, houseId);
        List<CareHouseContactRel> contactRels = this.careHouseContactRelService.list(queryWrapper);

        if (CollUtil.isNotEmpty(contactRels)){
            contactRels.forEach(item -> {
                CareHouseContact careHouseContact = this.getById(item.getContactId());
                list.add(careHouseContact);
            });
        }
        List<CareHouseContact> listNew = CollUtil.sortByProperty(list,"contactLevel");
        return listNew;

    }
}