package com.care.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CareSysUser;
import com.care.common.enums.UserRoleEnum;
import com.care.common.mapper.CareSysUserMapper;
import com.care.common.service.CareSysUserService;
import org.springframework.stereotype.Service;

/**
 * 安全管家表(CareSysUser)表服务实现类
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */
@Service
public class CareSysUserServiceImpl extends ServiceImpl<CareSysUserMapper, CareSysUser> implements CareSysUserService {

    @Override
    public CareSysUser detailByOpenid4Keeper(String openId) {
        QueryWrapper<CareSysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareSysUser::getOpenId,openId).eq(CareSysUser::getRole, UserRoleEnum.CHANMB.getValue());
        return this.getOne(queryWrapper);
    }

    @Override
    public CareSysUser detailByPhone4Keeper(String phone) {
        QueryWrapper<CareSysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareSysUser::getPhone,phone).eq(CareSysUser::getRole, UserRoleEnum.CHANMB.getValue());
        return this.getOne(queryWrapper);
    }

    /**
     * 管家服务人数
     *
     * @param id
     * @return
     */
    @Override
    public int queryOlderCountByChambId(Long id) {
        return this.baseMapper.queryOlderCountByChambId(id);
    }


}