package com.care.common.service.impl;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;
import com.care.common.exception.BDException;
import com.care.common.service.FileUploadService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;

/**
 * @Author: lilt
 * @Date: 2021/6/8
 * @Desc:
 */
@Service
public class FileUploadServiceImpl implements FileUploadService {
    @Value("${file.savePath:#{null}}")
    private String filePath;
    @Value("${file.url:#{null}}")
    private String fileUrl;
    /**
     * 上传文件
     *
     * @param file
     * @param dirCode
     * @return 访问URL
     */
    @Override
    public String upload(MultipartFile file, String dirCode) {
        String rootPath = filePath + File.separator + dirCode;
        String url = dirCode;
        try {
            if (file!=null ){
                String fileName = file.getOriginalFilename();
                File savePath = new File(rootPath);
                if(!savePath.exists()) savePath.mkdirs();
                String suffix=fileName.substring(file.getOriginalFilename().lastIndexOf("."));
                Snowflake snowflake = IdUtil.getSnowflake(1, 1);
                long id = snowflake.nextId();
                String backName =  id + suffix;

                rootPath = rootPath + File.separator+backName;
                url = url + "/" + backName;
                File backFile = new File(rootPath);
                FileUtil.writeFromStream(file.getInputStream(),backFile,true);
            }
        } catch (IOException e) {
            throw new BDException("上传失败",e);
        }
        return fileUrl  + url;
    }
}
