package com.care.common.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;


/**
 * @author nhc
 * @version 1.0
 * @description 日志工具演示
 * @date 2021/1/2 20:41
 */
@RequestMapping
@RestController
@Slf4j
public class LogUtil {

    @GetMapping("/log")
    public String logTest1() {
        //日志级别：由低到高 trace < debug < info < warn < error
        //trace 跟踪轨迹
        //debug 调试信息
        //info 自定义信息 代替原 System.out.println()
        //warn 警告信息
        //error 异常信息
        log.trace("这是 trace 日志...");
        log.debug("这是 debug 日志...");
        log.info("这是 info 日志...");
        log.warn("这是 warn 日志...");
        log.error("这是 error 日志...");
        return "调取日志成功";
    }

}
