package com.care.common.util;

/**
 * 返回值响应编码
 * @author little
 */
public enum ResultCode {
    /**
     * 成功响应
     */
    SUCCESS("00000","操作成功"),
    /**
     * 网络异常响应
     */
    WARN("00002","网络异常，请稍后重试"),
    NO_LOGINED("00003","未登录"),
    UNKNOWN("99999","未知异常"),
    /**
     * 异常响应
     */
    ERROR("00001","操作失败");



    ResultCode(String status, String message) {
        this.status = status;
        this.message = message;
    }

    private String status;

    private String message;

    public String getStatus() {
        return status;
    }

    public String getMessage() {
        return message;
    }
}
