package com.care.common.vo.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护房屋信息(CareHouse)实体类
 *
 * @author makejava
 * @since 2021-06-02 22:00:37
 */

@Data
public class HouseVO implements Serializable {
    private static final long serialVersionUID = -60036036914347085L;

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;
    private String stationName;


    @ApiModelProperty("房屋简称")
    private String name;


    @ApiModelProperty("钥匙托管类型： 1 ：电子 2：机械 0：未托管")
    private String keyEscrowType;
    private String keyEscrowTypeName;

//    @ApiModelProperty("状态： 0未激活，1已激活")
 //   private String status;
  //  private String statusName;


    @ApiModelProperty("地址")
    private String addr;

    @ApiModelProperty("门牌号")
    private String houseNumber;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("频安宝用户ID")
    private Long memberId;

//    @ApiModelProperty("管理者电话")
//    private String managePhone;
//
//
//    @ApiModelProperty("管理者姓名")
//    private String manageName;


    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;

//
//    @ApiModelProperty("管家ID")
//    private Long chambId;
//
//
//    @ApiModelProperty("管家姓名")
//    private String chambName;


}