package com.care.common.vo.order;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 管家工单(CareEventOrderChamb)实体类
 *
 * @author makejava
 * @since 2021-06-10 02:05:50
 */

@Data
@ApiModel(value = "管家工单", description = "")
public class ChambEventOrderVO implements Serializable {
    private static final long serialVersionUID = -68975985985657562L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;


    @ApiModelProperty("房屋ID")
    private Long houseId;


    @ApiModelProperty("工单ID")
    private Long orderId;

    private String title;

    @ApiModelProperty("管家ID")
    private Long chambId;


    @ApiModelProperty("管家姓名")
    private String chambName;


    @ApiModelProperty("联系电话")
    private String phone;


    @ApiModelProperty("状态： 0：待处理  1处理中  2 处理完成 3已取消")
    private String status;

    @ApiModelProperty("状态： 0：待处理  1处理中  2 处理完成 3已取消")
    private String statusName;


    @ApiModelProperty("到达时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date daodaTime;


    @ApiModelProperty("离开时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date likaiTime;


    @ApiModelProperty("说明")
    private String remark;


    @ApiModelProperty("现场图片 多个逗号分隔")
    private String scenePic;


    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;
}