package com.care.common.vo.order;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 事件-紧急联系人/管家状态(CareEventOrderContactStatus)实体类
 *
 * @author makejava
 * @since 2021-05-29 14:46:38
 */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "联系人", description = "")
public class OrderContactorVO implements Serializable {
    private static final long serialVersionUID = -77087502578795347L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;


    @ApiModelProperty("工单ID")
    private Long orderId;

    @ApiModelProperty("频安宝用户ID")
    private Long memberId;

    @ApiModelProperty("联系角色 chanmb管家 contact紧联系人 older 老人")
    private String contactRole;


    @ApiModelProperty("联系人ID")
    private Long contactId;


    @ApiModelProperty("状态：1未联系,2未接通,3已联系 4无法赶往 5:已赶往 6:已到达 7申请钥匙 8已获取钥匙")
    private String status;

    @ApiModelProperty("状态描述")
    private String statusDesc;


    @ApiModelProperty("联系人姓名")
    private String contactName;

    @ApiModelProperty("性别：M：男 W：女")
    private String gender;

    @ApiModelProperty("联系电话")
    private String contactPhone;

    @ApiModelProperty("关系类别：kinsman亲属  neighbor：邻居")
    private String relationType;

    @ApiModelProperty("关系类别描述")
    private String relationTypeDesc;


    @ApiModelProperty("联系级别")
    private Integer contactLevel;

    @ApiModelProperty("地址")
    private String addr;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

}