package com.care.common.vo.outcall;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人-设备(CareDevice)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:36
 */

@Data
@ApiModel(value = "外呼结果表", description = "")
public class CcCallResultVO implements Serializable {
    private static final long serialVersionUID = 905583520337157262L;

    private Long id;

    @ApiModelProperty("被呼叫人ID")
    private Long calledId;

    @ApiModelProperty(dataType = "String", name = "calledName", value = "被呼叫人姓名")
    private String calledName;

    @ApiModelProperty("关系类别")
    private String relationTypeDesc;

    @ApiModelProperty("联系级别")
    private  Integer contactLevel;

    @ApiModelProperty("被呼叫人类型： chanmb管家 contact紧联系人 older 老人  120:120")
    private String calledType;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;

    @ApiModelProperty("被监护人ID")
    private Long olderId;

    @ApiModelProperty("房屋ID")
    private Long houseId;

    @ApiModelProperty("事件工单ID")
    private Long orderId;

    @ApiModelProperty("会话id,通话唯一标识")
    private String sessionId;


    @ApiModelProperty("外呼结果状态,,2未接通 4无法赶往 5:已赶往 6:已到达 7申请钥匙 8已获取钥匙")
    private Integer callStatus;

    @ApiModelProperty("外呼结果描述信息")
    private String descMsg;


    @ApiModelProperty("创建时间")
    private Date createTime;


    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("录音URL")
    private String audioUrl;

    @ApiModelProperty("通话时长，单位秒")
    private Integer callDuration;

    @ApiModelProperty("通话结果状态，1成功通话")
    private String callResultStatus;

    @ApiModelProperty("通话开始时间")
    private String callStartTime;
}