package com.care.keeper.service;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


import com.care.common.entity.*;

import com.care.common.service.*;

import com.care.keeper.vo.KeeperInfoVO;
import com.care.keeper.vo.OlderVO;

import lombok.extern.slf4j.Slf4j;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/6/7
 * @Desc:
 */
@Slf4j
@Service
public class KeeperInfoApiService {
    @Resource
    private CareDeviceService careDeviceService;
    @Resource
    private CareHouseOlderRelService careHouseOlderRelService;
    @Resource
    private CareOlderService careOlderService;
    @Resource
    private CareEventOrderChambService careEventOrderChambService;
    @Resource
    private CareSysUserService careSysUserService;

    /**
     * 管理服务人数
     * @return
     */
    public int queryOlderCount(Long chambId){
        return this.careSysUserService.queryOlderCountByChambId(chambId);
    }

    /**
     * 管理服务人次
     * @return
     */
    public Integer getServeCount(Long chambId){
        QueryWrapper<CareEventOrderChamb> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareEventOrderChamb::getChambId,chambId).ne(CareEventOrderChamb::getStatus,"3");
        return  this.careEventOrderChambService.count(queryWrapper);
    }

    public List<OlderVO> getOlderList(Long chambId){
        List<OlderVO> olderVOList = new ArrayList<>();
        QueryWrapper<CareDevice> queryWrapper0 = new QueryWrapper<>();
        queryWrapper0.lambda().eq(CareDevice::getChambId,chambId);
        List<CareDevice> listDev = this.careDeviceService.list(queryWrapper0);
        if(CollUtil.isNotEmpty(listDev)){
            listDev.forEach(item -> {
                QueryWrapper<CareHouseOlderRel> queryWrapper = new QueryWrapper<>();
                queryWrapper.lambda().eq(CareHouseOlderRel::getHouseId,item.getHouseId());
                List<CareHouseOlderRel> listRel = careHouseOlderRelService.list(queryWrapper);
                if(CollUtil.isNotEmpty(listRel)) {
                    listRel.forEach(i->{
                        CareOlder careOlder = this.careOlderService.getById(i.getOlderId());
                        OlderVO olderVO = new OlderVO();
                        BeanUtil.copyProperties(careOlder,olderVO);
                        olderVOList.add(olderVO);
                    });
                }
            });
        }
        return olderVOList;
    }

    /**
     * 修改个人信息
     * @param vo
     */
    @Transactional(rollbackFor = Exception.class)
    public Boolean updateMyInfo(KeeperInfoVO vo){
        CareSysUser careSysUser = this.careSysUserService.getById(vo.getId());
        BeanUtil.copyProperties(vo,careSysUser);
        careSysUser.setModifyTime(new Date());
        return this.careSysUserService.updateById(careSysUser);
    }


}
