package com.care.keeper.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 用户登录信息(CareMemberInfo)实体类
 *
 * @author makejava
 * @since 2021-06-07 00:18:53
 */
@ApiModel(description = "登陆人信息")
@Data
public class KeeperInfoVO implements Serializable {
    private static final long serialVersionUID = 676002338375207640L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;
    @ApiModelProperty("机构名称")
    private String orgName;


    @ApiModelProperty("服务站ID，角色为坐席时，该字段可能未空")
    private Long stationId;

    @ApiModelProperty("机构名称")
    private String stationName;

    @ApiModelProperty("站点地址")
    private String stationAddr;

    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("电话")
    private String phone;


    @ApiModelProperty("性别：M：男 W：女")
    private String gender;


    @ApiModelProperty("状态：1正常；2：休假")
    private String status;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("微信openid")
    private String openId;


    @ApiModelProperty("头像")
    private String profile;

    @ApiModelProperty("服务人数")
    private Integer serveCount;

    @ApiModelProperty("服务用户列表")
    private List<OlderVO> olderVOList;

}