package com.care.mqtt.schedule;


import com.care.mqtt.service.MqttHearbeatService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;


/** Mqtt心跳调度
 * @author stw
 * @version 2.7.0.0 创建于 2021/9/23
 **/
@Configuration
@EnableScheduling
@EnableAsync
public class MqttHeartbeatSchedule {
    private static final Logger logger = LogManager.getLogger(MqttHeartbeatSchedule.class);
   @Autowired
    private MqttHearbeatService mqttHearbeatService;
    /**
     * 5 分钟调用一次
     */
    @Async
    @Scheduled(cron = "0 0/5 * * * ?")
    public void rotationDev() {
        try {
            mqttHearbeatService.rotationDev();
        } catch (Exception e) {
            logger.error("轮训出错：{}", e.getMessage());
        }
    }

}
