package com.care.mqtt.service;


import cn.hutool.core.bean.BeanUtil;
import com.care.common.cache.RedisUtil;
import com.care.common.constant.Constants;
import com.care.mqtt.tool.MqttDataConnector;
import com.care.common.entity.CareDevice;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;


/**
 * @Author: stw
 * @Date: 2021/8/14
 * @Desc:
 */
@Service
public class MqttPublishService {
    @Resource
    private MqttConnectorInstallPoolService mqttConnectorInstallPoolService;
    @Resource
    private RedisUtil redisUtil;
    @Value("${mqtt.dev.jihuo.timeout:#{null}}")
    private String mqttJihuoTimeout;
    /**
     * 发布消息
     */
    public boolean publish(CareDevice careDevice,String data,String devCode,String roomType) {
        try {

            CareDevice careDevicePublish = new CareDevice();
            BeanUtil.copyProperties(careDevice,careDevicePublish);

            String topicInstall = careDevicePublish.getTopicInstall();
            String cliendIdInstall = careDevicePublish.getClientIdInstall();
            if (StringUtils.isEmpty(topicInstall) || StringUtils.isEmpty(cliendIdInstall)) {
                return false;
            }

            MqttDataConnector mqttDataConnector = mqttConnectorInstallPoolService.addInsallOne(careDevicePublish);

            mqttDataConnector.publish(topicInstall, data);

            //往redis里设置一个超时时钟，超时之后还没返回就认为超时了
            Long timeout = Long.parseLong(mqttJihuoTimeout);
            redisUtil.set(Constants.MQTT_DEV_JIHUO_TIMEOUT_KEY + ":" + devCode + ":" + roomType,"", timeout);
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

}
