package com.care.mqtt.tool;


import com.care.common.constant.Constants;
import com.care.mqtt.service.MqttMsgInstallService;
import com.care.mqtt.service.MqttMsgService;
import org.eclipse.paho.client.mqttv3.IMqttMessageListener;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 * 订阅信息监听类
 */
public class MqttMessageListener implements IMqttMessageListener {
    private static Logger logger = LoggerFactory.getLogger(MqttMsgService.class);

    private MqttMsgService mqttMsgService;
    private MqttMsgInstallService mqttMsgInstallService;

    public void setMqttMsgService(MqttMsgService mqttMsgService) {
        this.mqttMsgService = mqttMsgService;
    }

    public void setMqttMsgInstallService(MqttMsgInstallService mqttMsgInstallService) {
        this.mqttMsgInstallService = mqttMsgInstallService;
    }

    @Override
    public void messageArrived(String topic, MqttMessage mqttMessage) throws Exception {
//        System.out.println(mqttMessage.getId());
//        System.out.println(mqttMessage.getPayload());
//        System.out.println(mqttMessage.getQos());
//        System.out.println(mqttMessage.isRetained());
//        System.out.println(mqttMessage.isDuplicate());
        String mqttMessageStr = mqttMessage.toString();
        //logger.info("mqttMessageStr == " + mqttMessageStr);
        if(mqttMessageStr == null || !mqttMessageStr.startsWith("{")) {
            logger.error("不是正确格式的消息");
            return;
        }
        if (mqttMsgService != null){
            mqttMsgService.handleMessage(topic,mqttMessageStr);
        } else if(mqttMsgInstallService != null){
            mqttMsgInstallService.handleMessage(topic,mqttMessageStr);
        }

    }


}
