package com.care.outcall.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author stw
 * @version 2.7.0 创建于 2019/7/15
 **/
@Data
public class CcKoalaLog implements Serializable {
    private String id;

    @ApiModelProperty(dataType = "String", name = "orgId", value = "机构ID")
    private String orgId;

    @ApiModelProperty(dataType = "String", name = "stationId", value = "服务站ID")
    private String stationId;

    @ApiModelProperty("房屋ID")
    private String houseId;

    @ApiModelProperty(dataType = "String", name = "olderId", value = "被监护人ID")
    private String olderId;

    @ApiModelProperty(dataType = "String", name = "calledId", value = "被呼叫人ID")
    private String calledId;

    @ApiModelProperty(dataType = "String", name = "calledName", value = "被呼叫人姓名")
    private String calledName;

    @ApiModelProperty("关系类别")
    private String relationTypeDesc;

    @ApiModelProperty("联系级别")
    private  Integer contactLevel;

    @ApiModelProperty(dataType = "String", name = "calledType", value = "被呼叫人类型：1、紧急联系人，2、管家，3、老人本人，4、120")
    private String calledType;

    @ApiModelProperty(dataType = "String", name = "contactId", value = "事件工单ID")
    private String orderId;

    @ApiModelProperty(dataType = "String", name = "phone", value = "被叫号码")
    private String phone;

    @ApiModelProperty(dataType = "String", name = "disNumber", value = "租户id，考拉开通的租户id")
    private String tenantId;

    @ApiModelProperty(dataType = "String", name = "agentId", value = "坐席工号")
    private String agentId;

    @ApiModelProperty(dataType = "String", name = "agentId", value = "坐席分机号")
    private String agentNumber;

    @ApiModelProperty(dataType = "String", name = "apiMethod", value = "web请求的api方法名称，如:makeCall 事件名称等")
    private String apiMethod;

    @ApiModelProperty(dataType = "String", name = "result", value = "接口请求返回结果,json字符串")
    private String result;

    @ApiModelProperty(dataType = "String", name = "result", value = "会话id")
    private String sessionId;

    @ApiModelProperty(dataType = "String", name = "result", value = "接收日志的时间")
    private String receiveTime;

    @ApiModelProperty(dataType = "String", name = "disNumber", value = "外显号码")
    private String outDisplayNo;

    @ApiModelProperty(dataType = "String", name = "disNumber", value = "事件的状态，描述事件的生存周期：1.坐席振铃,2.坐席接通,3.客户振铃,4.客户接通,5.坐席挂断,6.客户挂断,7.未接通")
    private String eventStatus;

    @ApiModelProperty(dataType = "String", name = "disNumber", value = " 0.话单日志日志未被计算，1.非话单日志，或者话单日志已经被计算")
    private String computeTraffic;

    private String createTime;
    private String updateTime;


}
