package com.care.outcall.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 话单表
 *
 * @Auther: Han Yun Qing
 * @Date: Created In 2018/1/10 16:03
 * @Modified By:
 */
@Data
public class CcTrafficBilled implements Serializable{
    // '主键值为uuid',
    private String id;
    //业务字段
    private Date createTime;
    private Date updateTime;
    private String orgId;
    private String stationId;
    @ApiModelProperty("房屋ID")
    private String houseId;
    private String olderId;
    @ApiModelProperty(dataType = "String", name = "calledId", value = "被呼叫人ID")
    private String calledId;
    @ApiModelProperty(dataType = "String", name = "calledName", value = "被呼叫人姓名")
    private String calledName;

    @ApiModelProperty("关系类别")
    private String relationTypeDesc;

    @ApiModelProperty("联系级别")
    private  Integer contactLevel;

    @ApiModelProperty(dataType = "String", name = "calledType", value = "被呼叫人类型：1、紧急联系人，2、管家，3、老人本人，4、120")
    private String calledType;
    private String orderId;
    //'呼叫号码
    private String phone;
    //接通状态:{电信：以客户接通为准取1，其他取2},{联通：PCS000.已拨通电话，,PCS001.未获取,PCS002.已获取,PCS003.获取失败}',
    private String outCallStatus;
//接通状态:{电信：以客户接通为准取1，其他取2},{联通：PCS000.已拨通电话，,PCS001.未获取,PCS002.已获取,PCS003.获取失败}（原始状态）
    private String origOutCallStatus;
    //通话结果状态：1.成功通话2.废号（空号/欠费/停机）3.无法接通（占线/转秘书台）4.无法接通（占线/转秘书台）5.无人接（未接听）6.无人接（主动挂）7.传真机/总机8.关机
    private String callResultStatus;

    private String sessionId;// '会话id,通话唯一标识，联通为uuid',
    private String teleEntId;//'企业id',
    private String teleAgentId;// '坐席id',
    private String outCallRadioStatus;//'录件获取状态,(电信：1.未获取,2.已获取),(联通：PRS001.未获取,PRS002.已获取,PRS003.已获取 ,无录音)',
    private String clientAlertStartTime;//'客户振铃开始时间,(电信：yyyyMMddHHmmss),(联通：有值，但是格式未知)',
    private String callDuration;//'通话时长，时间单位秒',
    private String hangupType;//'0.客户挂断,1.坐席挂断',
    private String callStartTime;// '通话开始时间',
    // '通话结束时间',
    private String callEndTime;
    // '音频地址',
    private String audioUrl;




    }
