package com.care.outcall.mapper;


import com.care.outcall.entity.CcTrafficBilled;
import com.care.outcall.entity.CcKoalaLog;
import com.care.outcall.vo.CallOlderVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 许明
 * @version 2.7.0.0 创建于 2018/7/16
 **/
@Repository
public interface KoalaOutCallDao {
    /**
     * 根据大有坐席id获取，考拉坐席号、账户编号和坐席密码
     *
     * @param userId 大有坐席id
     * @return 返回：考拉坐席号、账户编号和坐席密码
     */
    Map<String, String> getAgentInfo(@Param(value = "userId") String userId);

    /**
     * 记录考拉外呼日志
     * @param kaoLaLogDomain
     */
    void addOptLog(CcKoalaLog kaoLaLogDomain);

    String getSessionId(CcKoalaLog ccKoalaLog);

    List<CcKoalaLog> getAllBillInfo();

    int checkSession(@Param("sessionId") String sessionId);

    int addBill(CcTrafficBilled ccTrafficBilled);


    int updatePhoneBillBySessionIdNew(CcTrafficBilled params);

    void updateComputeTraffic(List<Map<String, String>> logList);

    void updateMakeCallStatus(List<String> ids);


    void updateComputeTrafficToFinish();

    List<CallOlderVO> getOlderInfoBySessionId(@Param("sessionId") String sessionId);



}
